### Method

# Gtk PrintSettingsget_bool

#### Declaration [src]

    gboolean
    gtk_print_settings_get_bool (
      GtkPrintSettings* settings,
      const char* key
    )

#### Description [src]

Returns the boolean represented by the value that is associated with `key`.

The string “true” represents `TRUE`, any other string `FALSE`.

#### Parameters

`key`

  Type: `const char*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, if `key` maps to a true value.